Bug 1303554 - [abrt] trojita: QMetaObjectPrivate::disconnect(): trojita killed by SIGSEGV
[abrt] trojita: QMetaObjectPrivate::disconnect(): trojita killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: trojita (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raphael Groner
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d50edc77032fa0000e7cdb04a10...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 04:57 EST by Karel Volný
Modified: 2016-02-12 06:53 EST (History)
2 users (show)

See Also:
Fixed In Version: trojita-0.6-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-12 06:53:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (90.02 KB, text/plain)
2016-02-01 04:57 EST, Karel Volný
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-01 04:57 EST, Karel Volný
no flags Details
File: core_backtrace (6.95 KB, text/plain)
2016-02-01 04:57 EST, Karel Volný
no flags Details
File: dso_list (21.19 KB, text/plain)
2016-02-01 04:57 EST, Karel Volný
no flags Details
File: environ (1.85 KB, text/plain)
2016-02-01 04:57 EST, Karel Volný
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-01 04:57 EST, Karel Volný
no flags Details
File: maps (94.80 KB, text/plain)
2016-02-01 04:57 EST, Karel Volný
no flags Details
File: mountinfo (3.26 KB, text/plain)
2016-02-01 04:57 EST, Karel Volný
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-01 04:57 EST, Karel Volný
no flags Details
File: open_fds (1.50 KB, text/plain)
2016-02-01 04:57 EST, Karel Volný
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-02-01 04:57 EST, Karel Volný
no flags Details
File: var_log_messages (304 bytes, text/plain)
2016-02-01 04:57 EST, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2016-02-01 04:57:06 EST
Description of problem:
The network connection seems to get stuck. Trojita crashed a while after trying to send an email.

Version-Release number of selected component:
trojita-0.5a-2.20151216gitefa30f3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/trojita
crash_function: QMetaObjectPrivate::disconnect
executable:     /usr/bin/trojita
global_pid:     5572
kernel:         4.3.4-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QMetaObjectPrivate::disconnect at kernel/qobject.cpp:3374
 #1 QObject::disconnect at kernel/qobject.cpp:2956
 #3 Imap::Mailbox::Model::killParser at /usr/src/debug/trojita-efa30f3/src/Imap/Model/Model.cpp:1468
 #4 Imap::Mailbox::Model::handleState at /usr/src/debug/trojita-efa30f3/src/Imap/Model/Model.cpp:302
 #5 Imap::Mailbox::Model::responseReceived at /usr/src/debug/trojita-efa30f3/src/Imap/Model/Model.cpp:238
 #7 Imap::Mailbox::Model::qt_static_metacall at /usr/src/debug/trojita-efa30f3/moc_Model.cpp:323
 #8 QObject::event at kernel/qobject.cpp:1239
 #9 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3716
 #10 QApplication::notify at kernel/qapplication.cpp:3499
 #11 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
Comment 1 Karel Volný 2016-02-01 04:57:14 EST
Created attachment 1120042 [details]
File: backtrace
Comment 2 Karel Volný 2016-02-01 04:57:15 EST
Created attachment 1120043 [details]
File: cgroup
Comment 3 Karel Volný 2016-02-01 04:57:17 EST
Created attachment 1120044 [details]
File: core_backtrace
Comment 4 Karel Volný 2016-02-01 04:57:19 EST
Created attachment 1120045 [details]
File: dso_list
Comment 5 Karel Volný 2016-02-01 04:57:20 EST
Created attachment 1120046 [details]
File: environ
Comment 6 Karel Volný 2016-02-01 04:57:22 EST
Created attachment 1120047 [details]
File: limits
Comment 7 Karel Volný 2016-02-01 04:57:26 EST
Created attachment 1120048 [details]
File: maps
Comment 8 Karel Volný 2016-02-01 04:57:28 EST
Created attachment 1120049 [details]
File: mountinfo
Comment 9 Karel Volný 2016-02-01 04:57:29 EST
Created attachment 1120050 [details]
File: namespaces
Comment 10 Karel Volný 2016-02-01 04:57:31 EST
Created attachment 1120051 [details]
File: open_fds
Comment 11 Karel Volný 2016-02-01 04:57:32 EST
Created attachment 1120052 [details]
File: proc_pid_status
Comment 12 Karel Volný 2016-02-01 04:57:34 EST
Created attachment 1120053 [details]
File: var_log_messages
Comment 13 Fedora Update System 2016-02-02 17:08:49 EST
trojita-0.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a76f1a48f8
Comment 14 Fedora Update System 2016-02-03 18:01:07 EST
trojita-0.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a76f1a48f8
Comment 15 Fedora Update System 2016-02-12 06:53:23 EST
trojita-0.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.